Skip to content

Get Address Limit

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/addresses/apply-limit
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/addresses/apply-limit

Parameters

Path Parameters

Field Type Description

b_id
Required

String Business line ID

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectAddress limit data (see data object details below).

data (object)

FieldTypeDescription
address_additionalIntegerTotal additional addresses purchased
hot_address_limitIntegerTotal quota limit for hot wallet addresses
hot_address_usedIntegerNumber of hot wallet addresses used
cold_address_limitIntegerTotal quota limit for cold wallet addresses
cold_address_usedIntegerNumber of cold wallet addresses used
hotObjectDetails for various types of hot wallets (see hot object details below)
coldObjectDetails for various types of cold wallets (see cold object details below)

hot (object)

FieldTypeDescription
commonObjectCommon hot wallet
NEAR_NEARObjectNEAR hot wallet
TON_TONObjectTON hot wallet
XLMObjectXLM hot wallet
EOS_EOSObjectEOS hot wallet

Each wallet type object contains:

FieldTypeDescription
address_limitIntegerAddress limit for this wallet type
address_usedIntegerNumber of addresses used in this wallet type

cold (object)

FieldTypeDescription
commonObjectCommon cold wallet
ETHObjectETH cold wallet
XLMObjectXLM cold wallet
TRXObjectTRX cold wallet

Each wallet type object contains:

FieldTypeDescription
address_limitIntegerAddress limit for this wallet type
address_usedIntegerNumber of addresses used in this wallet type

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "address_additional": 0,
        "hot_address_limit": 500,
        "hot_address_used": 140,
        "cold_address_limit": 315,
        "cold_address_used": 8,
        "hot": {
            "NEAR_NEAR": {
                "address_limit": 5,
                "address_used": 3
            },
            "common": {
                "address_limit": 500,
                "address_used": 140
            },
            "TON_TON": {
                "address_limit": 2,
                "address_used": 0
            },
            "XLM": {
                "address_limit": 10,
                "address_used": 6
            },
            "EOS_EOS": {
                "address_limit": 0,
                "address_used": 0
            }
        },
        "cold": {
            "common": {
                "address_limit": 5,
                "address_used": 4
            },
            "ETH": {
                "address_limit": 5,
                "address_used": 3
            },
            "XLM": {
                "address_limit": 10,
                "address_used": 1
            },
            "TRX": {
                "address_limit": 0,
                "address_used": 0
            }
        }
    },
    "successful": true
}